Bug 1411807 - [DOWNGRADEPATH] F25->F25: open-vm-tools-10.0.5-7.fc25 -> open-vm-tools-10.0.5-6.fc26
Summary: [DOWNGRADEPATH] F25->F25: open-vm-tools-10.0.5-7.fc25 -> open-vm-tools-10.0.5...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: open-vm-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ravindra Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 14:43 UTC by Igor Gnatenko
Modified: 2017-02-17 07:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-17 07:39:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2017-01-10 14:43:18 UTC
Latest build failed in koji, so please fix it and build.

Comment 1 Ravindra Kumar 2017-01-11 00:07:50 UTC
Sorry, I'm not sure what triggered this bug. Could you please point me to the build failure you want us to fix?

Comment 2 Ravindra Kumar 2017-01-11 00:19:30 UTC
I noticed that open-vm-tools-10.0.5-7.fc25 build is there but open-vm-tools-10.0.5-7.fc26 failed. I'm starting a new build on rawhide to see if that will fix it.

Comment 3 Igor Gnatenko 2017-01-12 07:00:11 UTC
wiperPosix.c: In function 'WiperIsDiskDevice':
wiperPosix.c:319:13: error: In the GNU C Library, "major" is defined
 by <sys/sysmacros.h>. For historical compatibility, it is
 currently defined by <sys/types.h> as well, but we plan to
 remove this soon. To use "major", include <sys/sysmacros.h>
 directly. If you did not intend to use a system-defined macro
 "major", you should undefine it after including <sys/types.h>. [-Werror]
    int majorN = major(s->st_rdev);
             ^~~~~~~~~~~~~~~~~~~~~~                                                                                                                                                                                                                                                                                                                                                  
Basically, having -Werror is very bad idea.....

Comment 4 Igor Gnatenko 2017-02-16 06:42:39 UTC
ping?

Comment 5 Ravindra Kumar 2017-02-16 23:58:14 UTC
I hope to have it fixed today/tomm. Thanks!

Comment 6 Ravindra Kumar 2017-02-17 03:48:05 UTC
Patched - https://koji.fedoraproject.org/koji/buildinfo?buildID=859799.

Comment 7 Igor Gnatenko 2017-02-17 07:39:44 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.